Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420232 - Document PROFILE=SYSTEM feature in /usr/share/man/man1/ciphers.1ssl.gz
Summary: Document PROFILE=SYSTEM feature in /usr/share/man/man1/ciphers.1ssl.gz
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl
Version: 26
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1348125 1527038
TreeView+ depends on / blocked
 
Reported: 2017-02-08 09:27 UTC by Pavel Raiskup
Modified: 2018-05-29 11:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:54:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavel Raiskup 2017-02-08 09:27:14 UTC
Please ensure that this feature is documented on "standard" and expected
place.

For example PostgreSQL documentation already points to 'man ciphers' for
syntax description of it's 'ssl_ciphers' option.  Not having the
'PROFILE=SYSTEM' really complicates (blocks) upstream/downstream patching
of dependent components because we can not point to
Packaging:CryptoPolicies wiki from upstream documentation;  and downstream
patching of package's documentation is simply too much hassle.

Comment 1 Pavel Raiskup 2017-02-08 09:28:45 UTC
Fix for comment #0:
- Not having the 'PROFILE=SYSTEM' really complicates ...
+ Not having the 'PROFILE=SYSTEM' documented really complicates ...

Comment 2 Fedora End Of Life 2017-02-28 11:12:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora End Of Life 2018-05-03 08:12:16 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 11:54:50 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.